Subject: Re: [RFC/PATCH 2/2] powerpc: Add legacy PCI access via sysfs

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 04 Oct 2008 08:16:03 +1000

On Fri, 2008-10-03 at 15:09 -0700, Jesse Barnes wrote:
> On Friday, October 3, 2008 2:52 pm Benjamin Herrenschmidt wrote:
> > On Fri, 2008-10-03 at 08:59 -0700, Jesse Barnes wrote:
> > > Feel free to change the generic code if it makes things easier for you,
> > > the only limitation is that we have to live within the generic sysfs
> > > read/write functions.  Obviously I didn't worry about it when doing this
> > > code on ia64...
> >
> > I started to do that and then decided not to bother...
> 
> Well than you can at least update the comment in the ppc platform code 
> from "The generic code is idiotic" to "The generic code is idiotic and I'm 
> too lazy to fix it". :)

Meuhh... Ok, I'll have another look. The main reason I didn't want to
change it was that I didn't want to have to fix ia64 more than I already
did :-)

Cheers,
Ben.